Opened 8 years ago

Closed 5 years ago

#1838 closed defect (fixed)

EMM NOK for 0500:023800

Reported by: kess78 Owned by:
Priority: major Component: Card support
Severity: medium Keywords: EMM SRG 0500:023800
Cc: Sensitive: no

Description

Revision

svn 5123

Issue Description

EMM Error on that card
I know I don't have the last version, but since this version there weren't any updates on viaccess module...

When the issue occurs

At every EMM request on that card

How the issue is reproducable

At every EMM Request

Thank you a lot.

Attachments (18)

debug-255.log (1.9 KB) - added by kess78 8 years ago.
Debug log of the EMM Request
reader-conf.txt (1.6 KB) - added by kess78 8 years ago.
Smargo Reader Configuration
log-20110513.txt (1.7 KB) - added by kess78 8 years ago.
New oscam debug log
svn5302.txt (2.4 KB) - added by sn 8 years ago.
srgsuisse_emm.log (559 bytes) - added by kess78 8 years ago.
20110601-srgsuisse_emm.log (7.1 KB) - added by kess78 8 years ago.
20110601-srgsuisse-cccam-emm.log (3.7 KB) - added by kess78 8 years ago.
20110602-srgsuisse-camd35-emm.log (1.8 KB) - added by kess78 8 years ago.
EMM written with camd35
20110607_srgsuisse_entitlements.txt (820 bytes) - added by kess78 8 years ago.
20110607_srgsuisse_emm.log (3.0 KB) - added by kess78 8 years ago.
20110609_srgsuisse_emm.log (3.8 KB) - added by kess78 8 years ago.
20110609.1_srgsuisse_emm.log (3.4 KB) - added by kess78 8 years ago.
20110621_OSCamServer01_camd35_emm_written.txt (4.6 KB) - added by kess78 8 years ago.
Card1 EMM written with camd35
20110623_OSCamServer02_CCcam_emm_error.txt (3.5 KB) - added by kess78 8 years ago.
Card2 EMM error with CCcam
20110804_srgsuisse_emm_error.log (3.7 KB) - added by kess78 8 years ago.
EMM Log 2011.08.04
oscam-viaccess-023700..txt (12.0 KB) - added by lancey 8 years ago.
Debug with oscam 1.10 and 1.20 with 0500:023700 Viaccess card - EMM errors.
oscam_reader-viaccess.c-revert-r5962.diff (2.9 KB) - added by mikkle 7 years ago.
patch that reverets r5962
reader-viaccess.c.patch (3.2 KB) - added by szepter 7 years ago.

Download all attachments as: .zip

Change History (67)

Changed 8 years ago by kess78

Attachment: debug-255.log added

Debug log of the EMM Request

Changed 8 years ago by kess78

Attachment: reader-conf.txt added

Smargo Reader Configuration

comment:1 Changed 8 years ago by kess78

It's the same with last versions...
Log attached.

Changed 8 years ago by kess78

Attachment: log-20110513.txt added

New oscam debug log

comment:2 Changed 8 years ago by Madmaxx

you see this errors only in debug mode > 0. I had the same "issues"

this is because of the 91 00 card response (updated not needeed) this is misinterpreted as an "error".

without debug you just see update OK

comment:3 Changed 8 years ago by kess78

Sorry for delay, ty for reply.
I can't confirm what you write... In my case it's not an error mispresentation, it's an effective error. The card effectively needed an update but no way to perform that.
I had to update that card in a Viaccess Decoder, that update will expire in the next 3 days... Then we'll see...

Changed 8 years ago by sn

Attachment: svn5302.txt added

comment:4 Changed 8 years ago by sn

I have testet with the svn5302 but no updates...

comment:5 Changed 8 years ago by kess78

Same error on the new SRG Card with trunk version #5335:
Log following:

May 30 12:10:09 OSCamServer oscam: B5B3FB70 c cccam(s) myuser: EMM Request received!
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c emm:
May 30 12:10:09 OSCamServer oscam: B5B3FB70 8E 01 53 04 08 10 36 1D 00 01 91 08 F0 F0 4A 1B
May 30 12:10:09 OSCamServer oscam: B5B3FB70 02 78 05 25 9E 20 F6 70 84 2A AF 07 68 BE 45 ED
May 30 12:10:09 OSCamServer oscam: B5B3FB70 91 D3 B9 2A C7 C9 81 4C 37 B8 95 52 13 64 AC C0
May 30 12:10:09 OSCamServer oscam: B5B3FB70 77 4E 06 3C 88 33 92 08 14 7B 79 35 8A CE 1C 00
May 30 12:10:09 OSCamServer oscam: B5B3FB70 81 07 3F A0 4D 86 73 9F D0 F0 08 2E 46 F1 96 E9
May 30 12:10:09 OSCamServer oscam: B5B3FB70 93 01 52 00 45 00
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c emm reader srgsuisse provider match 0500:FFF430
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c Entered viaccess_get_emm_type ep->emm[0]=8e
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c VIACCESS EMM: SHARED
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c emmtype shared. Reader srgsuisse has serial XXXXXXXXXXXXXXXX.
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c emm UA/SA:
May 30 12:10:09 OSCamServer oscam: B5B3FB70 04 08 10 00 00 00 00 00
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c Succesfully added EMM to /emu/log/emm/srgsuisse_emm.log.
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c Succesfully added binary EMM to /emu/etc/srgsuisse_emm.bin.
May 30 12:10:09 OSCamServer oscam: B5B3FB70 c emm is being sent to reader srgsuisse.
May 30 12:10:09 OSCamServer oscam: B63E9B70 r can't find 0xf0 in emm...
May 30 12:10:09 OSCamServer oscam: B63E9B70 8E 01 53 04 08 10 36 1D 00 01 91 08 F0 F0 4A 1B
May 30 12:10:09 OSCamServer oscam: B63E9B70 02 78 05 25 9E 20 F6 70 84 2A AF 07 68 BE 45 ED
May 30 12:10:09 OSCamServer oscam: B63E9B70 91 D3 B9 2A C7 C9 81 4C 37 B8 95 52 13 64 AC C0
May 30 12:10:09 OSCamServer oscam: B63E9B70 77 4E 06 3C 88 33 92 08 14 7B 79 35 8A CE 1C 00
May 30 12:10:09 OSCamServer oscam: B63E9B70 81 07 3F A0 4D 86 73 9F D0 F0 08 2E 46 F1 96 E9
May 30 12:10:09 OSCamServer oscam: B63E9B70 93 01 52 00 45 00
May 30 12:10:09 OSCamServer oscam: B63E9B70 r myuser emmtype=shared, len=83, idx=0, cnt=1: error (0 ms) by srgsuisse

Changed 8 years ago by kess78

Attachment: srgsuisse_emm.log added

comment:6 Changed 8 years ago by kess78

Sorry guys, thank you for the support. In your forums I managed it to work with camd35 and dvbapi. The problem is that we need to make EMM work also with 3c protocol.
I attach the last logs, so you'll find there:

  • 0500:FFF430,023800 old SRGSuisse Card
  • 0500:FFF430,040810,040820,040830 new SRGSuisse Card

Please let me know if you need anything else...

Thank you a lot for your great work guys!
Bye Kess.

Changed 8 years ago by kess78

Attachment: 20110601-srgsuisse_emm.log added

Changed 8 years ago by kess78

Changed 8 years ago by kess78

EMM written with camd35

comment:7 Changed 8 years ago by kess78

Hi guys,
I attached the log for a successful written EMM with camd35 in order to be compared with the failed one with 3c protocol.
I hope it would be useful for you in order to fix the 3c protocol too...

Thank you a lot for your work.

comment:8 Changed 8 years ago by kess78

Hello guys,
thank you for the tries you give to that ticket (_network).

I receive a lot of skipped EMMs and some EMMs that return error.
I attach the log of one failed EMM and my current entitlements on that card.

Thank you everyone for your time.
Bye Kess.

Changed 8 years ago by kess78

Changed 8 years ago by kess78

Attachment: 20110607_srgsuisse_emm.log added

comment:9 Changed 8 years ago by kess78

Hi _network,
the entitlements are always the same as before, I attach the new log generated by the new version you released for that issue yesterday.

Once again... THANK YOU !!!
bye Kess.

Changed 8 years ago by kess78

Attachment: 20110609_srgsuisse_emm.log added

comment:10 Changed 8 years ago by kess78

Hello again _network,
just tried your new trunk version without success.
The last line of the log tells "written", but effectively it doesn't update it.
I also tried to reload entitlements and to restart oscam... no changes...

Log attached.
Thank you again, bye Kess.

Changed 8 years ago by kess78

comment:11 Changed 8 years ago by dracir81

hello
log for csat french 0500:32830

2011/06/10 8:09:54 B78C4B70 r nano A9: class: 97, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:09:54 B78C4B70 r set subscription cmd:
2011/06/10 8:09:54 B78C4B70 CA 18 01 01 23
2011/06/10 8:09:54 B78C4B70 r set subscription data:
2011/06/10 8:09:54 B78C4B70 A9 17 3E C1 3E E3 80 00 00 00 00 00 00 00 00 00
2011/06/10 8:09:54 B78C4B70 00 00 00 00 00 00 00 00 00 F0 08 77 5F BB BC 2D
2011/06/10 8:09:54 B78C4B70 1E AF D8
2011/06/10 8:09:54 B78C4B70 r [viaccess-reader] update error: 90 40

for oscam 5369

Last edited 8 years ago by dracir81 (previous) (diff)

comment:12 Changed 8 years ago by dracir81

adding log

2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7A, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7B, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7C, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7D, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7E, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 7F, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 85, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 8B, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: 8C, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: A0, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: A7, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: AC, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r nano A9: class: B4, expiry date: 2011/06/01 - 2011/07/03
2011/06/10 8:16:54 B78C4B70 r set subscription cmd:
2011/06/10 8:16:54 B78C4B70 CA 18 01 01 27
2011/06/10 8:16:54 B78C4B70 r set subscription data:
2011/06/10 8:16:54 B78C4B70 A9 1B 3E C1 3E E3 10 10 81 00 00 18 20 FC 00 00
2011/06/10 8:16:54 B78C4B70 00 00 00 00 00 00 00 00 00 00 00 00 00 F0 08 68
2011/06/10 8:16:54 B78C4B70 C8 D6 94 9E E2 36 39
2011/06/10 8:16:54 B78C4B70 r [viaccess-reader] update error: 90 40

bye

comment:13 Changed 8 years ago by _network

@kess78
the first emm with the error was already written to your card.
it is the same emm like in your log 20110602-srgsuisse-camd35-emm.log where it was written succesful.
so maybe the reason for the error is that your card does not need this emm.
the second emm was different and updated your card.
we have to wait for new emm to see if its working now.
or you could try it with camd35 again to see if you get the update error here too.

comment:14 Changed 8 years ago by kess78

Hello _network, thank you for your reply.
I've 2 srg cards, the first one is completely updated with camd35 (last emm too).
The second one has been updated with camd35 too, but not until the last emm... So 1 missing. I was trying to update it with 3c... It's the one where I test the fixes you provide.

I'll let you know with the next emms...
Thank you again...

comment:15 Changed 8 years ago by kess78

Checked again today, always the same error...
Let's wait a couple of weeks for the new emms to be released by the provider.
On the first card I'll perform the update with camd35, on the second I'll try with cccam.
I'll paste both logs so you'll have a comparison on what happens.

Thank you for your patience.
Bye Kess.

Changed 8 years ago by kess78

Card1 EMM written with camd35

Changed 8 years ago by kess78

Card2 EMM error with CCcam

comment:16 Changed 8 years ago by kess78

@_network
I've attached the same EMM on my 2 cards. It worked with camd35, but not with cccam.
I'm sure you know how to resolve it :-)
Thank you a lot again for infinite patience.

camd35 EMM has been written with r5451
cccam EMM has given error with r5469

Bye Kess.

comment:17 Changed 8 years ago by heinz

Still getting update errors using cccam-protocol:

2011/06/24 9:58:54 19B32700 c emm reader srg_reader provider match 0500:FFF430 
2011/06/24 9:58:54 19B32700 c Entered viaccess_get_emm_type ep->emm[0]=8e 
2011/06/24 9:58:54 19B32700 c VIACCESS EMM: SHARED 
2011/06/24 9:58:54 19B32700 c emmtype shared. Reader srg_reader has serial *************. 
2011/06/24 9:58:54 19B32700 c emm UA/SA: 
2011/06/24 9:58:54 19B32700 C4 1B 77 00 00 00 00 00 
2011/06/24 9:58:54 19B32700 c emm is being sent to reader srg_reader. 
2011/06/24 9:58:55 19BCE700 r set subscription cmd: 
2011/06/24 9:58:55 19BCE700 CA 18 01 01 1C 
2011/06/24 9:58:55 19BCE700 r set subscription data: 
2011/06/24 9:58:55 19BCE700 BA 02 3E D4 C0 02 EE 00 EE 08 B2 E0 2F B5 E8 0E 
2011/06/24 9:58:55 19BCE700 BA 03 F0 08 E6 50 50 8A 46 1D B0 6F 
2011/06/24 9:58:55 19BCE700 r [viaccess-reader] update error: 90 40

Readers overview:

EMM error:
0 / 0 / 63 / 0	
EMM written:
0 / 0 / 2 / 0	
EMM skipped:
0 / 0 / 22 / 0	
EMM blocked:
0 / 0 / 0 / 0

Entitlements:

class: 01, expiry date: 2011/06/06 - 2011/07/06
class: 02, expiry date: 2011/06/06 - 2011/07/06
class: 03, expiry date: 2011/06/06 - 2011/07/06
class: 01, expiry date: 2011/06/01 - 2011/07/17

comment:18 Changed 8 years ago by kess78

Hi guys,
still get errors while trying EMM using cccam. There's the log:

Jul  9 12:41:06 OSCamServer oscam: B193DB70 c cccam(s) myuser:  EMM Request received!
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c emm:
Jul  9 12:41:06 OSCamServer oscam: B193DB70   8E 01 3D 02 38 00 2C 07 00 00 9E 20 7F FF DF FF
Jul  9 12:41:06 OSCamServer oscam: B193DB70   FF FF EF DF FF FF 7B FF FF FF FF FF FE FF FF FB
Jul  9 12:41:06 OSCamServer oscam: B193DB70   FF FF FF FF FF FF FF FF FB FF FF 7F A9 05 3E D9
Jul  9 12:41:06 OSCamServer oscam: B193DB70   3F 09 02 F0 08 25 96 E3 C8 C9 86 9C 87 A0 B4 2A
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c emm provider match reader srgsuisse auprovid 023800
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c Entered viaccess_get_emm_type ep->emm[0]=8e
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c VIACCESS EMM: SHARED
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c emmtype shared. Reader srgsuisse has serial 00XXXXXXXX000000.
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c emm UA/SA:
Jul  9 12:41:06 OSCamServer oscam: B193DB70   02 38 00 00 00 00 00 00
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c Successfully added EMM to /emu/log/emm/srgsuisse_emm.log.
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c Successfully added binary EMM to /emu/log/emm/srgsuisse_emm.bin.
Jul  9 12:41:06 OSCamServer oscam: B193DB70 c emm is being sent to reader srgsuisse.
Jul  9 12:41:06 OSCamServer oscam: B6365B70 r nano A9: class: 01, expiry date: 2011/06/25 - 2011/08/09
Jul  9 12:41:06 OSCamServer oscam: B6365B70 r set subscription cmd:
Jul  9 12:41:06 OSCamServer oscam: B6365B70   CA 18 01 01 11
Jul  9 12:41:06 OSCamServer oscam: B6365B70 r set subscription data:
Jul  9 12:41:06 OSCamServer oscam: B6365B70   A9 05 3E D9 3F 09 02 F0 08 25 96 E3 C8 C9 86 9C
Jul  9 12:41:06 OSCamServer oscam: B6365B70   87
Jul  9 12:41:06 OSCamServer oscam: B6365B70 r [viaccess-reader] update error: 90 40
Jul  9 12:41:06 OSCamServer oscam: B6365B70 r myuser emmtype=shared, len=58, idx=0, cnt=1: error (112 ms) by srgsuisse

Please let me know.
Thank you, bye Kess.

comment:19 Changed 8 years ago by kess78

Please ignore my last post, just had to wait some minutes more:

Jul  9 12:54:57 OSCamServer oscam: B193DB70 c cccam(s) myuser:  EMM Request received!
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm:
Jul  9 12:54:57 OSCamServer oscam: B193DB70   8E 01 3D 02 38 00 2C 07 00 00 9E 20 7F FF DF FF
Jul  9 12:54:57 OSCamServer oscam: B193DB70   FF FF EF DF FF FF 7B FF FF FF FF FF FE FF FF FB
Jul  9 12:54:57 OSCamServer oscam: B193DB70   FF FF FF FF FF FF FF FF FB FF FF 7F A9 05 3E D2
Jul  9 12:54:57 OSCamServer oscam: B193DB70   3F 02 02 F0 08 A3 86 EB 9B F2 9D 0D 2B A0 B4 2A
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm provider match reader srgsuisse auprovid 023800
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Entered viaccess_get_emm_type ep->emm[0]=8e
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c VIACCESS EMM: SHARED
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emmtype shared. Reader srgsuisse has serial 00XXXXXXXX000000.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm UA/SA:
Jul  9 12:54:57 OSCamServer oscam: B193DB70   02 38 00 00 00 00 00 00
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Successfully added EMM to /emu/log/emm/srgsuisse_emm.log.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Successfully added binary EMM to /emu/log/emm/srgsuisse_emm.bin.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm is being sent to reader srgsuisse.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c cccam(s) myuser:  EMM Request received!
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm:
Jul  9 12:54:57 OSCamServer oscam: B193DB70   8E 01 3D 02 38 00 2C 07 00 00 9E 20 7F FF DF FF
Jul  9 12:54:57 OSCamServer oscam: B193DB70   FF FF EF DF FF FF 7B FF FF FF FF FF FE FF FF FB
Jul  9 12:54:57 OSCamServer oscam: B193DB70   FF FF FF FF FF FF FF FF FB FF FF 7F A9 05 3E DE
Jul  9 12:54:57 OSCamServer oscam: B193DB70   3F 0E 02 F0 08 A3 86 EB 9B F2 9D 0D 2B A0 B4 2A
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm provider match reader srgsuisse auprovid 023800
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Entered viaccess_get_emm_type ep->emm[0]=8e
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c VIACCESS EMM: SHARED
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emmtype shared. Reader srgsuisse has serial 00XXXXXXXX000000.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm UA/SA:
Jul  9 12:54:57 OSCamServer oscam: B193DB70   02 38 00 00 00 00 00 00
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Successfully added EMM to /emu/log/emm/srgsuisse_emm.log.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c Successfully added binary EMM to /emu/log/emm/srgsuisse_emm.bin.
Jul  9 12:54:57 OSCamServer oscam: B193DB70 c emm is being sent to reader srgsuisse.
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r nano A9: class: 01, expiry date: 2011/06/18 - 2011/08/02
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r set subscription cmd:
Jul  9 12:54:57 OSCamServer oscam: B6365B70   CA 18 01 01 11
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r set subscription data:
Jul  9 12:54:57 OSCamServer oscam: B6365B70   A9 05 3E D2 3F 02 02 F0 08 A3 86 EB 9B F2 9D 0D
Jul  9 12:54:57 OSCamServer oscam: B6365B70   2B
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r [viaccess-reader] update error: 90 40
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r myuser emmtype=shared, len=58, idx=1, cnt=1: error (113 ms) by srgsuisse
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r nano A9: class: 01, expiry date: 2011/06/30 - 2011/08/14
Jul  9 12:54:57 OSCamServer oscam: B6365B70 r myuser emmtype=shared, len=58, idx=2, cnt=1: written (121 ms) by srgsuisse

EMM HAS CORRECTLY BEEN WRITTEN ON THE CARD WITH r5574 !!!
Thank you a lot guys, thank you a lot _network!

comment:20 Changed 8 years ago by Admin

Resolution: fixed
Status: newclosed

comment:21 Changed 8 years ago by kess78

Priority: minormajor
Resolution: fixed
Status: closedreopened

Hi guys,
I'm really sorry but I have to reopen that ticket again.
Something changed in the last versions and these EMMs don't work anymore using the 3c protocol.
I'm now using the latest 1.10rc #5775
Log will be attached in the next few seconds...

Please feel free to contact me if you need any further informations.
Thank you,
bye Kess.

Changed 8 years ago by kess78

EMM Log 2011.08.04

comment:22 Changed 8 years ago by pooyair

@devs
as camd35_emm_written.txt log says :

##### camd35 :
8E 70 3C C2 92 8A 00 90 03 02 38 01 9E 20 FF FF
FF FF FF FF FF FF C0 00 00 00 00 00 00 00 00 00

8E 70 3C C2 92 8A 00 90 03 02 38 01 9E 20 00 00
00 00 00 00 00 00 3F FF FF CF FF FF FF FF FB FF

1.those bite which i made it bold , would be bitwised in next emm , but with cccam they won't as 20110804_srgsuisse_emm_error.log says :

##cccam

8E 01 3D 02 38 00 36 07 00 2A 00 00 00 00 00 00
00 58 3B EA 9E 20 FF FF
FF FF FF FF FF FF C0 00

8E 70 3A 02 38 90 03 02 38 01 00 00 00 00 00 00( *2 :i mean this line)
00 58 3B EA 9E 20 FF FF
FF FF FF FF FF FF C0 00

  1. i think line *2 should be changed like this:

8E 70 3C 02 38 00 90 03 02 38 01 9E 20 FF FF ...

Brgrds.

Last edited 8 years ago by pooyair (previous) (diff)

comment:23 Changed 8 years ago by kess78

Hi guys,
any news on that ?

Ty, bye Kess.

comment:24 Changed 8 years ago by john_28

Last edited 8 years ago by john_28 (previous) (diff)

comment:25 Changed 8 years ago by kess78

Thank you a lot for the fix, gonna test it as soon as the rights are going to expire.
I'll let you know in 2 or 3 weeks.
Bye Kess

comment:26 Changed 8 years ago by kess78

Tried with version r5956 and the mod provided in r5870 doesn't seem to resolve the issue.
Log is always the same as before. Please let me know if you need anything else.

Thx a lot, bye Kess.

comment:27 Changed 8 years ago by kess78

Did someone have a look on that ?
It would be nice to solve that issue.
Thank you guys :-)

comment:28 Changed 8 years ago by kess78

Any news on that ?

comment:29 Changed 8 years ago by lancey

Oscam is also unable to write EMMs to 0500:023700 card. Card works fine in original Viaccess module. Client is connecting through newcamd protocol.
I've attached oscam-viaccess-023700.txt, containing debugs from latests svn oscam 1.10 and 1.20. Oscam 1.00 also does not update the card, nor does it produce valid ECMs even with active card.

Changed 8 years ago by lancey

Attachment: oscam-viaccess-023700..txt added

Debug with oscam 1.10 and 1.20 with 0500:023700 Viaccess card - EMM errors.

comment:30 Changed 8 years ago by lancey

I've tried with PCSC reader (Omnikey 1021), Smargo Smartreader+ and TBS 3102 (mouse), all produce absolutely the same result, so i guess this is not reader-specific.

comment:31 Changed 8 years ago by kess78

This is an EMM specific ticket on 0500:023800.
This has nothing to do with your card and/or with your ECMs...

comment:32 Changed 8 years ago by lancey

Sorry, thought it might be related. I'll open a new ticket.

comment:33 Changed 8 years ago by kess78

I've tried with multiple protocols without any success.

  • 3c
  • newcamd
  • camd35

The error is always "can't find 0xf0 in emm..."
Any help on that ?

comment:34 Changed 8 years ago by kess78

Tried with OSCam r5574 and r5589. EMM updates are written to the cards.
Last versions don't work.
Could someone have a look on what changed there ? Please :-(

Thank you, bye Kess.

comment:35 Changed 8 years ago by kess78

Managed it to do it using camd35 and cs378x with version r6018 on both sides. It was a config problem on my box, sorry for that.
Btw, EMM don't work with 3c.

Last edited 8 years ago by kess78 (previous) (diff)

comment:36 Changed 8 years ago by littlejoe

What i have seen is if a viaccess card is without any valid entitlement. EMM are not sent. Same card with scam update in a minute. If only 1 entitlement is added, the folowing EMM are sent and the other entitlements added too. Maybe this can help...

comment:37 Changed 8 years ago by kess78

Hi Joe,
thank you for your reply. I noticed it too, when a Viaccess card has only expired entitlements, no EMM requests are sent out. No problem, I'll use cs378x to update it, it's perfect :-)

comment:38 Changed 8 years ago by roni

please can the devs fix this?oscam do not update the card srg on the 3c clients

Last edited 8 years ago by roni (previous) (diff)

comment:39 Changed 8 years ago by kess78

Hi guys,
EMM on that card are not working anymore. I'm now using r6223.
I don't know since which version that stopped working. EMM do not update using 3c, newcamd and camd35 (TCP or UDP).

Configurazion is always the same as before when everything was OK.

Errors in logs are exactly the same as I provided before.

Please let me know.
Thank you, bye Kess.

comment:40 Changed 8 years ago by Admin

Maybe not working since r5962?

comment:41 Changed 8 years ago by kess78

Tried r5950 and it worked out with camd35 tcp.
Could someone please reintegrate that ?

Thank you a lot :-)

comment:42 Changed 8 years ago by kess78

Hi guys, sorry if I insist... Any news on that ?
Thank you, bye K

Changed 7 years ago by mikkle

patch that reverets r5962

comment:43 Changed 7 years ago by mikkle

Just added a patch that reverts r5962.
I have absolutely no clue what goes on in the EMM code, but this does actually seem to fix the problem. Tested, works for me.
Again, be aware that this is just a quick back-hack. No guarantees!
Feel free to try it out!

/Mikkle

comment:44 Changed 7 years ago by kess78

Hello Mikkle,
thx for your patch. Btw I switched back to 1.10 stable and I'm updating my card with camd35 without problems.

Thx a lot.

comment:45 Changed 7 years ago by dpeddi

It works for me with light different code:

if (ep->emm[1] == 0x01) { emm from cccam

emmdatastart=10;
ep->emm[1] = 0x70; (& 0x0f) of this byte is length, so 0x01 would increase the length by 256
ep->emm[2] -= 3;
if (ep->type == SHARED) {

build missing 0x90 nano from provider at serial position
memcpy(ep->emm+7, ep->emm+3, 3);
ep->emm[5] = 0x90;
ep->emm[6] = 0x03;
ep->emm[9] |= 0x01;
/*ep->emm[10] = 0x9E; */
/*ep->emm[11] = 0x20; */
emmdatastart = 5;

}

}

comment:46 Changed 7 years ago by szepter

I can confirm this is working for me and EMM updates are being written using the code snippet attached by me.

The server side is running revision 7040. The client side is running mgcamd.

Last edited 7 years ago by szepter (previous) (diff)

Changed 7 years ago by szepter

Attachment: reader-viaccess.c.patch added

comment:47 Changed 6 years ago by Nimloth

Devs is this patch usefull? If yes pls intergrate it into trunk and close ticket.

comment:48 Changed 6 years ago by luckysquid

Hi devs, can this patch work for viaccess update from cccam protocol?
Does it possible include this patch in trunk?
thanks

comment:49 Changed 5 years ago by john_28

Resolution: fixed
Status: reopenedclosed
Note: See TracTickets for help on using tickets.